Name:           python-django-concurrency
Version:        2.7
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Optimistic lock implementation for Django. Prevents users from doing concurrent editing

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/saxix/django-concurrency
Source:         %{pypi_source django_concurrency}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'django-concurrency' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-django-concurrency
Summary:        %{summary}

%description -n python3-django-concurrency %_description


%prep
%autosetup -p1 -n django_concurrency-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-django-concurrency -f %{pyproject_files}


%changelog
%autochangelog